### Method

# EBook Destination get_address

#### Declaration [src]

    const gchar*
    e_destination_get_address (
      const EDestination* dest
    )

#### Description [src]

Gets the encoded name and email address, or in the case of lists, the encoded list of email addresses, from `dest`. The returned string is suitable for use in an email header, but not for displaying to users.

#### Return value

Type: `const gchar*`

An encoded destination string suitable for use in an email header, or `NULL` if the destination was empty.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.